CAT(1)

NAME
cat - Concatenate FILE(s), or standard input, to standard output With no FILE, or when FILE is -, read standard input.

SYNOPSIS
cat [-A|--show-all] [-b|--number-nonblank] [-e ] [-E|--show-ends] [-n|--number] [-s|--squeeze-blank] [-t ] [-T|--show-tabs] [-v|--show-nonprinting] [-u ] [-h|--help] [-V|--version] [file]

DESCRIPTION
Concatenate FILE(s), or standard input, to standard output With no FILE, or when FILE is -, read standard input.

OPTIONS

-A, --show-all
    equivalent to -vET

-b, --number-nonblank
    number nonempty output lines, overrides -n

-e  equivalent to -vE

-E, --show-ends
    display $ at end of each line

-n, --number
    number all output lines

-s, --squeeze-blank
    suppress repeated empty output lines

-t  equivalent to -vT

-T, --show-tabs
    display TAB characters at ^I

-v, --show-nonprinting
    use ^ and M- notation, except for LF (\n) and TAB (\t)

-u  (ignored)

-h, --help
    Print help

-V, --version
    Print version

EXTRA
## Examples Print the contents of a file to `stdout`: cat {{path/to/file}} Concatenate several files into an output file: cat {{path/to/file1 path/to/file2 ...}} > {{path/to/output_file}} Append several files to an output file: cat {{path/to/file1 path/to/file2 ...}} >> {{path/to/output_file}} Copy the contents of a file into an output file without buffering: cat -u {{/dev/tty12}} > {{/dev/tty13}} Write `stdin` to a file: cat - > {{path/to/file}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.10.0